Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoExpansionMutation< FType, Node > Class Template Reference
[ParseTree]

eoExpansionMutation --> replace a terminal with a randomly created subtree More...

`#include <gp/eoParseTreeOp.h>`

Inheritance diagram for eoExpansionMutation< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoExpansionMutation (eoInit< EoType > &_init, unsigned _max_length)
| Constructor.
virtual std::string | className () const
| The class name.
virtual | ~eoExpansionMutation ()
| Dtor.
bool | operator() (EoType &_eo1)
| Mutate an individual.
## Private Attributes
unsigned | max_length
eoInit< EoType > & | initializer

## Detailed Description

### template<class FType, class Node>
class eoExpansionMutation< FType, Node >

eoExpansionMutation --> replace a terminal with a randomly created subtree

Definition at line 204 of file eoParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoExpansionMutation< FType, Node >::eoExpansionMutation | ( | eoInit< EoType > & | _init,
|  | unsigned | _max_length
| ) | `[inline]`

  | Constructor. Parameters:
  | _init | An instantiation of eoGpDepthInitializer
  | _max_length | the maximum size of an individual
Definition at line 215 of file eoParseTreeOp.h.

## Member Function Documentation

template<class FType, class Node>
bool eoExpansionMutation< FType, Node >::operator() | ( | EoType & | _eo1 | ) | `[inline]`

  | Mutate an individual. Parameters:
  | _eo1 | The individual that is to be changed
Definition at line 228 of file eoParseTreeOp.h. References eoParseTree< FType, Node >::pruneTree(), and eoRng::random().

The documentation for this class was generated from the following file:

- eoParseTreeOp.h